For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
      • POSTCopy feature flag
      • POSTCreate a feature flag
      • DELDelete feature flag
      • GETGet expiring context targets for feature flag
      • GETGet expiring user targets for feature flag
      • GETGet feature flag
      • GETGet feature flag status
      • GETGet flag status across environments
      • POSTGet migration safety issues
      • GETList feature flag statuses
      • GETList feature flags
      • PATCHUpdate expiring context targets on feature flag
      • PATCHUpdate expiring user targets on feature flag
      • PATCHUpdate feature flag
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewFeature Flags

Update expiring user targets on feature flag

PATCH
/api/v2/flags/:projectKey/:featureFlagKey/expiring-user-targets/:environmentKey
PATCH
/api/v2/flags/:projectKey/:featureFlagKey/expiring-user-targets/:environmentKey
$curl -X PATCH https://app.launchdarkly.com/api/v2/flags/projectKey/featureFlagKey/expiring-user-targets/environmentKey \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "instructions": [
> {
> "kind": "addExpireUserTargetDate",
> "userKey": "sandy",
> "value": 1686412800000,
> "variationId": "ce12d345-a1b2-4fb5-a123-ab123d4d5f5d"
> }
> ]
>}'
1{
2 "items": [
3 {
4 "_id": "12ab3c45de678910fgh12345",
5 "_version": 1,
6 "expirationDate": 1658192820000,
7 "userKey": "example-user-key",
8 "_resourceId": {
9 "kind": "string",
10 "projectKey": "string",
11 "environmentKey": "string",
12 "flagKey": "string",
13 "key": "string"
14 },
15 "targetType": "included",
16 "variationId": "ce67d625-a8b9-4fb5-a344-ab909d9d4f4d"
17 }
18 ],
19 "_links": {},
20 "totalInstructions": 1,
21 "successfulInstructions": 1,
22 "failedInstructions": 0,
23 "errors": [
24 {
25 "instructionIndex": 1,
26 "message": "example error message"
27 }
28 ]
29}
> ### Contexts are now available > > After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should use [Update expiring context targets on feature flag](https://launchdarkly.com/docs/api/feature-flags/patch-expiring-targets) instead of this endpoint. To learn more, read [Contexts](https://launchdarkly.com/docs/home/observability/contexts). Schedule a target for removal from individual targeting on a feature flag. The flag must already serve a variation to specific targets based on their key. You can add, update, or remove a scheduled removal date. You can only schedule a target for removal on a single variation per flag. Updating an expiring target uses the semantic patch format. To make a semantic patch request, you must append `domain-model=launchdarkly.semanticpatch` to your `Content-Type` header. To learn more, read [Updates using semantic patch](https://launchdarkly.com/docs/api#updates-using-semantic-patch). ### Instructions Semantic patch requests support the following `kind` instructions for updating expiring user targets. <details> <summary>Click to expand instructions for <strong>updating expiring user targets</strong></summary> #### addExpireUserTargetDate Adds a date and time that LaunchDarkly will remove the user from the flag's individual targeting. ##### Parameters * `value`: The time, in Unix milliseconds, when LaunchDarkly should remove the user from individual targeting for this flag * `variationId`: ID of a variation on the flag * `userKey`: The user key for the user to remove from individual targeting #### updateExpireUserTargetDate Updates the date and time that LaunchDarkly will remove the user from the flag's individual targeting. ##### Parameters * `value`: The time, in Unix milliseconds, when LaunchDarkly should remove the user from individual targeting for this flag * `variationId`: ID of a variation on the flag * `userKey`: The user key for the user to remove from individual targeting * `version`: (Optional) The version of the expiring user target to update. If included, update will fail if version doesn't match current version of the expiring user target. #### removeExpireUserTargetDate Removes the scheduled removal of the user from the flag's individual targeting. The user will remain part of the flag's individual targeting until you explicitly remove them, or until you schedule another removal. ##### Parameters * `variationId`: ID of a variation on the flag * `userKey`: The user key for the user to remove from individual targeting </details>
Was this page helpful?
Previous

Update feature flag

Next
Built with

Contexts are now available

After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should use Update expiring context targets on feature flag instead of this endpoint. To learn more, read Contexts.

Schedule a target for removal from individual targeting on a feature flag. The flag must already serve a variation to specific targets based on their key.

You can add, update, or remove a scheduled removal date. You can only schedule a target for removal on a single variation per flag.

Updating an expiring target uses the semantic patch format. To make a semantic patch request, you must append domain-model=launchdarkly.semanticpatch to your Content-Type header. To learn more, read Updates using semantic patch.

Instructions

Semantic patch requests support the following kind instructions for updating expiring user targets.

Click to expand instructions for updating expiring user targets

addExpireUserTargetDate

Adds a date and time that LaunchDarkly will remove the user from the flag’s individual targeting.

Parameters
  • value: The time, in Unix milliseconds, when LaunchDarkly should remove the user from individual targeting for this flag
  • variationId: ID of a variation on the flag
  • userKey: The user key for the user to remove from individual targeting

updateExpireUserTargetDate

Updates the date and time that LaunchDarkly will remove the user from the flag’s individual targeting.

Parameters
  • value: The time, in Unix milliseconds, when LaunchDarkly should remove the user from individual targeting for this flag
  • variationId: ID of a variation on the flag
  • userKey: The user key for the user to remove from individual targeting
  • version: (Optional) The version of the expiring user target to update. If included, update will fail if version doesn’t match current version of the expiring user target.

removeExpireUserTargetDate

Removes the scheduled removal of the user from the flag’s individual targeting. The user will remain part of the flag’s individual targeting until you explicitly remove them, or until you schedule another removal.

Parameters
  • variationId: ID of a variation on the flag
  • userKey: The user key for the user to remove from individual targeting

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
featureFlagKeystringRequiredformat: "string"
The feature flag key

Request

This endpoint expects an object.
instructionslist of maps from strings to anyRequired
The instructions to perform when updating
commentstringOptional
Optional comment describing the change

Response

Expiring user target response
itemslist of objects
An array of expiring user targets
_linksmap from strings to objects
The location and content type of related resources
totalInstructionsinteger
The total count of instructions sent in the PATCH request
successfulInstructionsinteger
The total count of successful instructions sent in the PATCH request
failedInstructionsinteger
The total count of the failed instructions sent in the PATCH request
errorslist of objects
An array of error messages for the failed instructions

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error